> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cybedefend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a member of a team



## OpenAPI

````yaml get /team/{teamId}/member/{userId}
openapi: 3.0.0
info:
  title: Cybedefend API
  description: >-
    CybeDefend is an advanced API for application security analysis. Key
    features include OAuth 2.0 authentication, user/organization/project
    management, and REBAC-based permissions. It excels in static, dynamic, and
    IaC security analyses (SAST, DAST, IaC, etc.).
  version: '1.0'
  contact: {}
servers:
  - url: https://api-eu.cybedefend.com
    description: EU
  - url: https://api-us.cybedefend.com
    description: US
security: []
tags: []
paths:
  /team/{teamId}/member/{userId}:
    get:
      tags:
        - Team
      summary: Get a member of a team
      operationId: TeamController_getTeamMember
      parameters:
        - name: userId
          required: true
          in: path
          schema:
            format: uuid
            type: string
        - name: teamId
          required: true
          in: path
          schema:
            format: uuid
            type: string
      responses:
        '200':
          description: Member of a team
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserInformationsResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                example:
                  message: Unauthorized
                  statusCode: 401
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                example:
                  message: Forbidden
                  statusCode: 403
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
components:
  schemas:
    UserInformationsResponseDto:
      type: object
      properties:
        id:
          type: string
          description: User unique identifier
          format: uuid
        firstName:
          type: string
          description: User first name
        lastName:
          type: string
          description: User last name
        email:
          type: string
          description: User email address
          format: email
        picture:
          type: string
          description: User picture URL
        role:
          type: string
          description: User role in the organization
      required:
        - id
        - firstName
        - lastName
        - email
        - picture
        - role
    ErrorDto:
      type: object
      properties:
        timestamp:
          type: string
          example: '2025-02-18T12:31:18.491Z'
          description: Timestamp of the error
        service:
          type: string
          example: AiService
          description: Name of the service where the error occurred
        method:
          type: string
          example: startConversation
          description: Method name where the error occurred
        message:
          type: string
          example: Invalid parameters provided
          description: Error message
        code:
          type: number
          example: 400
          description: HTTP status code
          minimum: 100
          maximum: 599
      required:
        - timestamp
        - service
        - method
        - message
        - code

````